#ifndef __DELAY_H
#define __DELAY_H 			   

extern uint32_t utc_seconds;


void task_ticks_enable(void);
uint32_t task_ticks_abs(void);
uint32_t task_ticks_rel(uint32_t start);
uint32_t task_delta_ticks(uint32_t count);
void systick_close(void);
void delay_ms(uint32_t count);
void delay_us(uint16_t cnt);
void task_udelay(uint32_t delay);
uint32_t task_get_usecond(void);
uint32_t task_get_delta_us(uint32_t us);

#endif



